Bug 1658659 - Error When Creating or Editing Host Group With Operating System
Summary: Error When Creating or Editing Host Group With Operating System
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Host Group
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
high vote
Target Milestone: Released
Assignee: John Mitsch
QA Contact: Mirek Zalewski
URL:
Whiteboard:
: 1665471 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 15:55 UTC by Djebran Lezzoum
Modified: 2019-10-07 17:20 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.16-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Foreman Issue Tracker 25917 None None None 2019-01-24 14:33:52 UTC

Comment 3 Mirek Zalewski 2019-01-15 13:07:12 UTC
*** Bug 1665471 has been marked as a duplicate of this bug. ***

Comment 4 Marek Hulan 2019-01-17 15:15:59 UTC
I'm unable to reproduce, looking at the code, I see the method is defined for RedHat OS, the error message refers to generic OS. What os family do you use? Could you share reproducing env? The trace points to  Katello extension that fails.

Comment 5 Mirek Zalewski 2019-01-17 16:23:46 UTC
Marek, can you try following steps from Bug 1665471 ?

1. hammer architecture create --organization-id 1 --name 'reproducer_arch'
2. echo 'default ptable layout' > /tmp/ptable_layout
3. hammer partition-table create --organization-id 1 --name 'reproducer_ptable' --file /tmp/ptable_layout
4. hammer os create --major 7574 --name 'reproducer_os' --architecture-ids :arch_id --partition-table-ids :ptable_id
5. hammer hostgroup create --name 'reproducer_hostgroup' --architecture-id :arch_id --partition-table-id :ptable_id --operatingsystem-id :os_id


If you are familiar with Robottelo, you can run test_hostgroup.py::HostGroupTestCase::test_positive_create_with_os.
I have 100% reproduction rate on latest 6.5 snap created with sat-deploy.


> What os family do you use?

We have couple of tests failing due to that issue. I can't say authoritatively about all of them, but in basic case we submit name (random alphanumeric string), major and minor (both from range 0-10). We don't specify family at all. Should we? How can we ensure that we create "RedHat OS"?

Also, did this change recently and is it expected change in 6.5? As far as I can tell, these tests didn't fail during 6.4 cycle at all, and they didn't fail in 6.5 snaps 1 to 5.

Comment 6 John Mitsch 2019-01-24 14:33:51 UTC
Created redmine issue https://projects.theforeman.org/issues/25917 from this bug

Comment 7 Bryan Kearney 2019-01-24 15:06:32 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 8 Bryan Kearney 2019-01-24 15:06:34 UTC
Upstream bug assigned to jomitsch@redhat.com

Comment 9 Bryan Kearney 2019-01-25 15:06:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25917 has been resolved.

Comment 11 Mirek Zalewski 2019-02-04 13:36:22 UTC
Bug no longer occurs.
Verified using steps in comment #5 and analyzing automation results. All Hostgroup cases that were failing in last couple of snaps did pass in latest run.


Version:
Satellite 6.5 snap 14
foreman-1.20.1.10-1.el7sat.noarch
pulp-server-2.18.0-0.1.rc.el7sat.noarch
satellite-6.5.0-6.beta.el7sat.noarch
katello-3.10.0-0.6.rc1.el7sat.noarch

Comment 15 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.